﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KundeSystem
{
    class Kunde
    {
        string navn;
        string adresse;
        double saldo;

        public Kunde()
        {
            navn = "";
            adresse = "";
            saldo = 0.0;
        }

        public Kunde (string nytNavn, string nyAdresse)
        {
            navn = nytNavn;
            adresse = nyAdresse;
            saldo = 0.0;
        }

        public void setNavn(string nytNavn)
        {
            navn = nytNavn;
        }

        public string getNavn()
        {
            return navn;
        }

        public void setAdresse(string nyAdresse)
        {
            adresse = nyAdresse;
        }

        public string getAdresse()
        {
            return adresse;
        }

        public void setSaldo(double nySaldo)
        {
            saldo = nySaldo;
        }

        public double getSaldo()
        {
            return saldo;
        }
    }

    class FirmaKunde : Kunde
    {
        private double kredit;

        public FirmaKunde()
            : base()
        {
            kredit = 0.0;
        }

        public FirmaKunde(string nytNavn, string nyAdresse, double nyKredit) 
            : base(nytNavn, nyAdresse)
        {
            kredit = nyKredit;
        }

        public double getKredit()
        {
            return kredit;
        }
    } 

    class Program
    {
        static void Main(string[] args)
        {
            Kunde k = new Kunde();
            k.setNavn("Bjarne");
            k.setAdresse("Dragebakken");
            k.setSaldo(175.25);
            Console.WriteLine("{0} {1} {2:C}", k.getNavn(), k.getAdresse(),
                k.getSaldo());
            Kunde k1 = new Kunde("Lone", "Mågebakken");
            Console.WriteLine("{0} {1} {2:C}", k1.getNavn(), k1.getAdresse(),
                k1.getSaldo());
            FirmaKunde f = new FirmaKunde("Rune", "Morelvej", 5000.0);
            Console.WriteLine("{0} {1} {2:C} {3:C}", f.getNavn(), f.getAdresse(),
                f.getSaldo(), f.getKredit());
            f.setNavn("Lasse");
            Console.WriteLine("{0} {1} {2:C} {3:C}", f.getNavn(), f.getAdresse(),
                f.getSaldo(), f.getKredit());
            Console.ReadLine();
        }
    }
}
